<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__i2c_8h" kind="file" language="C++">
    <compoundname>cyhal_i2c.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__i2c_8c">cyhal_i2c.c</includedby>
    <incdepgraph>
      <node id="148">
        <label>stdbool.h</label>
      </node>
      <node id="147">
        <label>stdint.h</label>
      </node>
      <node id="146">
        <label>cyhal_i2c.h</label>
        <link refid="cyhal__i2c_8h" />
        <childnode refid="147" relation="include">
        </childnode>
        <childnode refid="148" relation="include">
        </childnode>
      </node>
    </incdepgraph>
    <innerclass prot="public" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</innerclass>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__i2c_1ga5b11d85404cfb697a5c9134069046b15" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="109" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="109" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1gaf787a4f4b1c9d9608a356384d456823c" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_CAN_NOT_REACH_DR</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 1))</initializer>
        <briefdescription>
<para>Can not reach desired data rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="112" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="112" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga765d128c16f9e753abf7c755aa336688" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_INVALID_ADDRESS_SIZE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 2))</initializer>
        <briefdescription>
<para>Address size is not correct, should be 1 or two. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="115" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="115" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga898208f02c54de0ff55d3dd0deb4f4b2" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_TX_RX_BUFFERS_ARE_EMPTY</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 3))</initializer>
        <briefdescription>
<para>User buffer is empty (TX and RX). </para>        </briefdescription>
        <detaileddescription>
<para>Should be at least TX or RX or both buffers </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="118" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="118" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1gae784804f11c94fe8b134ed96cc75f2d7" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_PREVIOUS_ASYNCH_PENDING</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 4))</initializer>
        <briefdescription>
<para>Previous Async operation is pending. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="121" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="121" />
      </memberdef>
      <memberdef id="group__group__hal__results__i2c_1ga1eb789611046c856d2b921f7c51d5065" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_RSLT_ERR_PM_CALLBACK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a48c873ac3890a78ae0379e725396c607">CYHAL_RSLT_MODULE_I2C</ref>, 5))</initializer>
        <briefdescription>
<para>Failed to register I2C pm callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="124" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="124" />
      </memberdef>
      <memberdef id="group__group__hal__i2c_1gad2ea1e12f91892dfd0d6695b11f1d4a5" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_MODE_SLAVE</name>
        <initializer>(true)</initializer>
        <briefdescription>
<para>Named define for Slave mode for use when initializing the <ref kindref="compound" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="131" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="131" />
      </memberdef>
      <memberdef id="group__group__hal__i2c_1gae8ce31deae8ac6078af98b52249e0089" kind="define" prot="public" static="no">
        <name>CYHAL_I2C_MODE_MASTER</name>
        <initializer>(false)</initializer>
        <briefdescription>
<para>Named define for Master mode for use when initializing the <ref kindref="compound" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</ref> structure. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="133" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="133" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_i2c_event_t</name>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a80d8eb3997f062277769a958ff0b74bd" prot="public">
          <name>CYHAL_I2C_EVENT_NONE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No event. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a08f85e87b6ee6690714adc58a8b4a426" prot="public">
          <name>CYHAL_I2C_SLAVE_READ_EVENT</name>
          <initializer>= 1 &lt;&lt; 1</initializer>
          <briefdescription>
<para>Indicates that the slave was addressed and the master wants to read data. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af9d18fd8a6768ca60dbc475d3a08f13a" prot="public">
          <name>CYHAL_I2C_SLAVE_WRITE_EVENT</name>
          <initializer>= 1 &lt;&lt; 2</initializer>
          <briefdescription>
<para>Indicates that the slave was addressed and the master wants to write data. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79ad4a472c6da6121e533e871960a57d8b3" prot="public">
          <name>CYHAL_I2C_SLAVE_RD_IN_FIFO_EVENT</name>
          <initializer>= 1 &lt;&lt; 3</initializer>
          <briefdescription>
<para>All slave data from the configured Read buffer has been loaded into the TX FIFO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af1d3cec9a44b25d6d1434b9d21457cf2" prot="public">
          <name>CYHAL_I2C_SLAVE_RD_BUF_EMPTY_EVENT</name>
          <initializer>= 1 &lt;&lt; 4</initializer>
          <briefdescription>
<para>The master has read all data out of the configured Read buffer. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af3743e0bae6fc016ae15741d69b765e8" prot="public">
          <name>CYHAL_I2C_SLAVE_RD_CMPLT_EVENT</name>
          <initializer>= 1 &lt;&lt; 5</initializer>
          <briefdescription>
<para>Indicates the master completed reading from the slave (set by the master NAK or Stop) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79aed43708fe51a3270699f80f21dde4bac" prot="public">
          <name>CYHAL_I2C_SLAVE_WR_CMPLT_EVENT</name>
          <initializer>= 1 &lt;&lt; 6</initializer>
          <briefdescription>
<para>Indicates the master completed writing to the slave (set by the master Stop or Restart) </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79aba7cb8e07c8f47bd41a74af1373c7d04" prot="public">
          <name>CYHAL_I2C_SLAVE_ERR_EVENT</name>
          <initializer>= 1 &lt;&lt; 7</initializer>
          <briefdescription>
<para>Indicates the I2C hardware detected an error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a9fd6214feece0581282414f326fc3ef4" prot="public">
          <name>CYHAL_I2C_MASTER_WR_IN_FIFO_EVENT</name>
          <initializer>= 1 &lt;&lt; 17</initializer>
          <briefdescription>
<para>All data specified by cyhal_i2c_master_transfer_async has been loaded into the TX FIFO. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a0365270204869bfe80a2015258c979e1" prot="public">
          <name>CYHAL_I2C_MASTER_WR_CMPLT_EVENT</name>
          <initializer>= 1 &lt;&lt; 18</initializer>
          <briefdescription>
<para>The master write started by cyhal_i2c_master_transfer_async is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79ac5b8050af1c08b0d00a21539c5286435" prot="public">
          <name>CYHAL_I2C_MASTER_RD_CMPLT_EVENT</name>
          <initializer>= 1 &lt;&lt; 19</initializer>
          <briefdescription>
<para>The master read started by cyhal_i2c_master_transfer_async is complete. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a4bda40d48c2d7ca1c7556367b532920f" prot="public">
          <name>CYHAL_I2C_MASTER_ERR_EVENT</name>
          <initializer>= 1 &lt;&lt; 20</initializer>
          <briefdescription>
<para>Indicates the I2C hardware has detected an error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_i2c_event_t: </bold><linebreak />Enum to enable/disable/report interrupt cause flags.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="150" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="136" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="137" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__i2c_1ga67df812388aae9fcc3b3b1986dab7a09" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_i2c_event_callback_t) (void *callback_arg, cyhal_i2c_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_i2c_event_t event)</argsstring>
        <name>cyhal_i2c_event_callback_t</name>
        <briefdescription>
<para>Handler for I2C events. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" bodystart="154" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="154" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1gac2885a21905af9d1d48aae34a6032a61" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_init</definition>
        <argsstring>(cyhal_i2c_t *obj, cyhal_gpio_t sda, cyhal_gpio_t scl, const cyhal_clock_t *clk)</argsstring>
        <name>cyhal_i2c_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>sda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>scl</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clk</declname>
        </param>
        <briefdescription>
<para>Initialize the I2C peripheral, and configures its specified pins. </para>        </briefdescription>
        <detaileddescription>
<para>By default it is configured as a Master with a bus frequency = CYHAL_I2C_MASTER_DEFAULT_FREQ. Use <ref kindref="member" refid="group__group__hal__i2c_1ga37a35abcb9bf2d0ecf2a52b2fa5bce64">cyhal_i2c_configure()</ref> to change the default behavior.<linebreak />
 NOTE: Master/Slave specific functions only work when the block is configured to be in that mode.<linebreak />
 See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_1">Snippet 1: I2C Initialization and Configuration</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to an I2C object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">sda</parametername>
</parameternamelist>
<parameterdescription>
<para>The sda pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">scl</parametername>
</parameternamelist>
<parameterdescription>
<para>The scl pin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>The clock to use can be shared, if not provided a new clock will be allocated </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="250" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="151" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="182" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga3335fac7601fb3a6e4210d24e55cca61" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_i2c_free</definition>
        <argsstring>(cyhal_i2c_t *obj)</argsstring>
        <name>cyhal_i2c_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the i2c object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The i2c object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="275" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="252" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga37a35abcb9bf2d0ecf2a52b2fa5bce64" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_configure</definition>
        <argsstring>(cyhal_i2c_t *obj, const cyhal_i2c_cfg_t *cfg)</argsstring>
        <name>cyhal_i2c_configure</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</ref> *</type>
          <declname>cfg</declname>
        </param>
        <briefdescription>
<para>Configure the I2C block. </para>        </briefdescription>
        <detaileddescription>
<para>NOTE: Master/Slave specific functions only work when the block is configured to be in that mode.<linebreak />
 See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_1">Snippet 1: I2C Initialization and Configuration</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">cfg</parametername>
</parameternamelist>
<parameterdescription>
<para>Configuration settings to apply </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the configure request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="310" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="277" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="200" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1gaf100c21cd95409c70e1ba0463c23e3f8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_master_write</definition>
        <argsstring>(cyhal_i2c_t *obj, uint16_t dev_addr, const uint8_t *data, uint16_t size, uint32_t timeout, bool send_stop)</argsstring>
        <name>cyhal_i2c_master_write</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>dev_addr</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>send_stop</declname>
        </param>
        <briefdescription>
<para>I2C master blocking write. </para>        </briefdescription>
        <detaileddescription>
<para>This will write size bytes of data from the buffer pointed to by data. It will not return until either all of the data has been written, or the timeout has elapsed.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">dev_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>device address (7-bit) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C send data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C send data size </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>timeout in millisecond, set this value to 0 if you want to wait forever </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">send_stop</parametername>
</parameternamelist>
<parameterdescription>
<para>whether the stop should be send, used to support repeat start conditions</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the master_write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="343" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="312" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="218" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga0652a883293c83ebd0612fddbd8ff64d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_master_read</definition>
        <argsstring>(cyhal_i2c_t *obj, uint16_t dev_addr, uint8_t *data, uint16_t size, uint32_t timeout, bool send_stop)</argsstring>
        <name>cyhal_i2c_master_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>dev_addr</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>send_stop</declname>
        </param>
        <briefdescription>
<para>I2C master blocking read. </para>        </briefdescription>
        <detaileddescription>
<para>This will read size bytes of data into the buffer pointed to by data. It will not return until either all of the data has been read, or the timeout has elapsed.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">dev_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>device address (7-bit) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C receive data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C receive data size </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>timeout in millisecond, set this value to 0 if you want to wait forever </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">send_stop</parametername>
</parameternamelist>
<parameterdescription>
<para>whether the stop should be send, used to support repeat start conditions</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the master_read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="381" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="345" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="235" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga2642bdcfecb06786c438801bbc6ed844" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_slave_config_write_buffer</definition>
        <argsstring>(cyhal_i2c_t *obj, const uint8_t *data, uint16_t size)</argsstring>
        <name>cyhal_i2c_slave_config_write_buffer</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>The function configures the write buffer on an I2C Slave. </para>        </briefdescription>
        <detaileddescription>
<para>This is the buffer to which the master writes data to. The user needs to setup a new buffer every time (i.e. call <ref kindref="member" refid="group__group__hal__i2c_1ga2642bdcfecb06786c438801bbc6ed844">cyhal_i2c_slave_config_write_buffer</ref> and <ref kindref="member" refid="group__group__hal__i2c_1ga1f1570c650c1ddd12a8ffb6081dd56bb">cyhal_i2c_slave_config_read_buffer</ref> every time the buffer has been used up)<linebreak />
 See related code example: <ulink url="https://github.com/cypresssemiconductorco/mtb-example-psoc6-i2c-master">PSoC 6 MCU: I2C Master</ulink></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C slave send data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C slave send data size</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the slave_config_write_buffer request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="402" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="395" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga1f1570c650c1ddd12a8ffb6081dd56bb" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_slave_config_read_buffer</definition>
        <argsstring>(cyhal_i2c_t *obj, uint8_t *data, uint16_t size)</argsstring>
        <name>cyhal_i2c_slave_config_read_buffer</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>The function configures the read buffer on an I2C Slave. </para>        </briefdescription>
        <detaileddescription>
<para>This is the buffer from which the master reads data from. The user needs to setup a new buffer every time (i.e. call <ref kindref="member" refid="group__group__hal__i2c_1ga2642bdcfecb06786c438801bbc6ed844">cyhal_i2c_slave_config_write_buffer</ref> and <ref kindref="member" refid="group__group__hal__i2c_1ga1f1570c650c1ddd12a8ffb6081dd56bb">cyhal_i2c_slave_config_read_buffer</ref> every time the buffer has been used up)<linebreak />
 See related code example: <ulink url="https://github.com/cypresssemiconductorco/mtb-example-psoc6-i2c-master">PSoC 6 MCU: I2C Master</ulink></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C slave receive data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C slave receive data size</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the slave_config_read_buffer request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="411" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="404" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="277" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1gac9d0f4633fe8e121b93540d2415e4dd2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_master_mem_write</definition>
        <argsstring>(cyhal_i2c_t *obj, uint16_t address, uint16_t mem_addr, uint16_t mem_addr_size, const uint8_t *data, uint16_t size, uint32_t timeout)</argsstring>
        <name>cyhal_i2c_master_mem_write</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>mem_addr</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>mem_addr_size</declname>
        </param>
        <param>
          <type>const uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout</declname>
        </param>
        <briefdescription>
<para>Perform an I2C write using a block of data stored at the specified memory location. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>device address (7-bit) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mem_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>mem address to store the written data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mem_addr_size</parametername>
</parameternamelist>
<parameterdescription>
<para>number of bytes in the mem address </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C master send data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C master send data size </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>timeout in millisecond, set this value to 0 if you want to wait forever </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the write request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="452" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="413" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="292" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga3b3c9ae9cd2a99bfb7fcd513c00a50bd" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_master_mem_read</definition>
        <argsstring>(cyhal_i2c_t *obj, uint16_t address, uint16_t mem_addr, uint16_t mem_addr_size, uint8_t *data, uint16_t size, uint32_t timeout)</argsstring>
        <name>cyhal_i2c_master_mem_read</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>mem_addr</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>mem_addr_size</declname>
        </param>
        <param>
          <type>uint8_t *</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>timeout</declname>
        </param>
        <briefdescription>
<para>Perform an I2C read using a block of data stored at the specified memory location. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>device address (7-bit) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mem_addr</parametername>
</parameternamelist>
<parameterdescription>
<para>mem address to store the written data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">mem_addr_size</parametername>
</parameternamelist>
<parameterdescription>
<para>number of bytes in the mem address </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">data</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C master send data </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">size</parametername>
</parameternamelist>
<parameterdescription>
<para>I2C master send data size </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">timeout</parametername>
</parameternamelist>
<parameterdescription>
<para>timeout in millisecond, set this value to 0 if you want to wait forever </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the read request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="480" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="454" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="305" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1gad6cd59cead5f7de0cf87571ceb656054" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_master_transfer_async</definition>
        <argsstring>(cyhal_i2c_t *obj, uint16_t address, const void *tx, size_t tx_size, void *rx, size_t rx_size)</argsstring>
        <name>cyhal_i2c_master_transfer_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>address</declname>
        </param>
        <param>
          <type>const void *</type>
          <declname>tx</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>tx_size</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>rx</declname>
        </param>
        <param>
          <type>size_t</type>
          <declname>rx_size</declname>
        </param>
        <briefdescription>
<para>Initiate a non-blocking I2C master asynchronous transfer. </para>        </briefdescription>
        <detaileddescription>
<para>Supports simultaneous write and read operation.<linebreak />
</para><para>This will transfer rx_size bytes into the buffer pointed to by rx, while simultaneously transfering tx_size bytes of data from the buffer pointed to by tx, both in the background. When the requested quantity of data has been received, the <ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79ac5b8050af1c08b0d00a21539c5286435">CYHAL_I2C_MASTER_RD_CMPLT_EVENT</ref> will be raised. When the requested quantity of data has been transmitted, the <ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a0365270204869bfe80a2015258c979e1">CYHAL_I2C_MASTER_WR_CMPLT_EVENT</ref> will be raised. See <ref kindref="member" refid="group__group__hal__i2c_1gacf738716af52c484873e35331b9a30b7">cyhal_i2c_register_callback</ref> and <ref kindref="member" refid="group__group__hal__i2c_1ga6216658331d13dd8a854a23e96141fc7">cyhal_i2c_enable_event</ref>. If either of <bold>tx_size</bold> or <bold>rx_size</bold> is '0', the respective write or read operation is not performed. See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_3">Snippet 3: I2C Master Asynchronous Transfer</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">address</parametername>
</parameternamelist>
<parameterdescription>
<para>device address (7-bit) </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx</parametername>
</parameternamelist>
<parameterdescription>
<para>The transmit buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">tx_size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes to transmit. Use '0' if write operation is not required. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="out">rx</parametername>
</parameternamelist>
<parameterdescription>
<para>The receive buffer </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">rx_size</parametername>
</parameternamelist>
<parameterdescription>
<para>The number of bytes to receive. Use '0' if read operation is not required. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the master_transfer_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="522" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="482" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="326" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga5ee41d9e5c6dc83376291ff5275c942a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_i2c_abort_async</definition>
        <argsstring>(cyhal_i2c_t *obj)</argsstring>
        <name>cyhal_i2c_abort_async</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Abort asynchronous transfer. </para>        </briefdescription>
        <detaileddescription>
<para><linebreak />
 This function aborts the ongoing transfer by generating a stop condition.<linebreak />
 See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_3">Snippet 3: I2C Master Asynchronous Transfer</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the abort_async request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="538" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="524" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="337" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1gacf738716af52c484873e35331b9a30b7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_i2c_register_callback</definition>
        <argsstring>(cyhal_i2c_t *obj, cyhal_i2c_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_i2c_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__i2c_1ga67df812388aae9fcc3b3b1986dab7a09">cyhal_i2c_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register an I2C event callback handler<linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__i2c_1ga6216658331d13dd8a854a23e96141fc7">cyhal_i2c_enable_event</ref> occurs.</para><para>See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_2">Snippet 2: Handling events</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when an event triggers </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="549" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="540" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="350" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__i2c_1ga6216658331d13dd8a854a23e96141fc7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_i2c_enable_event</definition>
        <argsstring>(cyhal_i2c_t *obj, cyhal_i2c_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_i2c_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79">cyhal_i2c_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure and Enable or Disable I2C Interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__i2c_1gacf738716af52c484873e35331b9a30b7">cyhal_i2c_register_callback</ref> will be called.</para><para>See <ref kindref="member" refid="group__group__hal__i2c_1subsection_i2c_snippet_2">Snippet 2: Handling events</ref></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The I2C event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="564" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_i2c.c" bodystart="551" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" line="363" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Cypress I2C. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2018-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /></codeline>
<codeline lineno="109"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_INVALID_PIN<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="110"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="normal" /></codeline>
<codeline lineno="112"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_CAN_NOT_REACH_DR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="113"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="normal" /></codeline>
<codeline lineno="115"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_INVALID_ADDRESS_SIZE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="116"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />2))</highlight><highlight class="normal" /></codeline>
<codeline lineno="117"><highlight class="normal" /></codeline>
<codeline lineno="118"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_TX_RX_BUFFERS_ARE_EMPTY<sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="119"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />3))</highlight><highlight class="normal" /></codeline>
<codeline lineno="120"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_PREVIOUS_ASYNCH_PENDING<sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="122"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />4))</highlight><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="preprocessor">#define<sp />CYHAL_I2C_RSLT_ERR_PM_CALLBACK<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="125"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_I2C,<sp />5))</highlight><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="normal" /></codeline>
<codeline lineno="131"><highlight class="preprocessor">#define<sp />CYHAL_I2C_MODE_SLAVE<sp />(true)</highlight><highlight class="normal" /></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="133"><highlight class="preprocessor">#define<sp />CYHAL_I2C_MODE_MASTER<sp />(false)</highlight><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="137"><highlight class="normal">{</highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a80d8eb3997f062277769a958ff0b74bd">CYHAL_I2C_EVENT_NONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a08f85e87b6ee6690714adc58a8b4a426">CYHAL_I2C_SLAVE_READ_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />1,<sp /><sp /></highlight></codeline>
<codeline lineno="140"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af9d18fd8a6768ca60dbc475d3a08f13a">CYHAL_I2C_SLAVE_WRITE_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />2,<sp /><sp /></highlight></codeline>
<codeline lineno="141"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79ad4a472c6da6121e533e871960a57d8b3">CYHAL_I2C_SLAVE_RD_IN_FIFO_EVENT</ref><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />3,<sp /><sp /></highlight></codeline>
<codeline lineno="142"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af1d3cec9a44b25d6d1434b9d21457cf2">CYHAL_I2C_SLAVE_RD_BUF_EMPTY_EVENT</ref><sp />=<sp />1<sp />&lt;&lt;<sp />4,<sp /><sp /></highlight></codeline>
<codeline lineno="143"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79af3743e0bae6fc016ae15741d69b765e8">CYHAL_I2C_SLAVE_RD_CMPLT_EVENT</ref><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />5,<sp /><sp /></highlight></codeline>
<codeline lineno="144"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79aed43708fe51a3270699f80f21dde4bac">CYHAL_I2C_SLAVE_WR_CMPLT_EVENT</ref><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />6,<sp /><sp /></highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79aba7cb8e07c8f47bd41a74af1373c7d04">CYHAL_I2C_SLAVE_ERR_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />7,<sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a9fd6214feece0581282414f326fc3ef4">CYHAL_I2C_MASTER_WR_IN_FIFO_EVENT</ref><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />17,<sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a0365270204869bfe80a2015258c979e1">CYHAL_I2C_MASTER_WR_CMPLT_EVENT</ref><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />18,<sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79ac5b8050af1c08b0d00a21539c5286435">CYHAL_I2C_MASTER_RD_CMPLT_EVENT</ref><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />19,<sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__i2c_1ggaaba7daccaa3861c32a4b0284e8194a79a4bda40d48c2d7ca1c7556367b532920f">CYHAL_I2C_MASTER_ERR_EVENT</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />1<sp />&lt;&lt;<sp />20,<sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79">cyhal_i2c_event_t</ref>;</highlight></codeline>
<codeline lineno="151"><highlight class="normal" /></codeline>
<codeline lineno="152"><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void<sp />(*<ref kindref="member" refid="group__group__hal__i2c_1ga67df812388aae9fcc3b3b1986dab7a09">cyhal_i2c_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79">cyhal_i2c_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="155"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="normal" /></codeline>
<codeline lineno="158" refid="structcyhal__i2c__cfg__t" refkind="compound"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">struct</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal">{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />is_slave;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />uint16_t<sp />address;<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />frequencyhal_hz;<sp /></highlight></codeline>
<codeline lineno="164"><highlight class="normal">}<sp /><ref kindref="compound" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</ref>;</highlight></codeline>
<codeline lineno="165"><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /></codeline>
<codeline lineno="182"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1gac2885a21905af9d1d48aae34a6032a61">cyhal_i2c_init</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />sda,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />scl,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clk);</highlight></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga3335fac7601fb3a6e4210d24e55cca61">cyhal_i2c_free</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="200"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga37a35abcb9bf2d0ecf2a52b2fa5bce64">cyhal_i2c_configure</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__i2c__cfg__t">cyhal_i2c_cfg_t</ref><sp />*cfg);</highlight></codeline>
<codeline lineno="201"><highlight class="normal" /></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="218"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1gaf100c21cd95409c70e1ba0463c23e3f8">cyhal_i2c_master_write</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint16_t<sp />dev_addr,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp />uint16_t<sp />size,<sp />uint32_t<sp />timeout,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />send_stop);</highlight></codeline>
<codeline lineno="219"><highlight class="normal" /></codeline>
<codeline lineno="235"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga0652a883293c83ebd0612fddbd8ff64d">cyhal_i2c_master_read</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint16_t<sp />dev_addr,<sp />uint8_t<sp />*data,<sp />uint16_t<sp />size,<sp />uint32_t<sp />timeout,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />send_stop);</highlight></codeline>
<codeline lineno="236"><highlight class="normal" /></codeline>
<codeline lineno="238"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="239"><highlight class="comment">*<sp />Backward<sp />compatibility<sp />function.<sp />The<sp />following<sp />code<sp />is<sp />DEPRECATED<sp />and<sp />must</highlight></codeline>
<codeline lineno="240"><highlight class="comment">*<sp />not<sp />be<sp />used<sp />in<sp />new<sp />projects.</highlight></codeline>
<codeline lineno="241"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="242"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />cyhal_i2c_slave_config_write_buff(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="245"><highlight class="comment">*<sp />Backward<sp />compatibility<sp />function.<sp />The<sp />following<sp />code<sp />is<sp />DEPRECATED<sp />and<sp />must</highlight></codeline>
<codeline lineno="246"><highlight class="comment">*<sp />not<sp />be<sp />used<sp />in<sp />new<sp />projects.</highlight></codeline>
<codeline lineno="247"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp />cyhal_i2c_slave_config_read_buff(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint8_t<sp />*data,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="263"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga2642bdcfecb06786c438801bbc6ed844">cyhal_i2c_slave_config_write_buffer</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="264"><highlight class="normal" /></codeline>
<codeline lineno="277"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga1f1570c650c1ddd12a8ffb6081dd56bb">cyhal_i2c_slave_config_read_buffer</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint8_t<sp />*data,<sp />uint16_t<sp />size);</highlight></codeline>
<codeline lineno="278"><highlight class="normal" /></codeline>
<codeline lineno="279"><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1gac9d0f4633fe8e121b93540d2415e4dd2">cyhal_i2c_master_mem_write</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint16_t<sp />address,<sp />uint16_t<sp />mem_addr,<sp />uint16_t<sp />mem_addr_size,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp />uint8_t<sp />*data,<sp />uint16_t<sp />size,<sp />uint32_t<sp />timeout);</highlight></codeline>
<codeline lineno="293"><highlight class="normal" /></codeline>
<codeline lineno="305"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga3b3c9ae9cd2a99bfb7fcd513c00a50bd">cyhal_i2c_master_mem_read</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint16_t<sp />address,<sp />uint16_t<sp />mem_addr,<sp />uint16_t<sp />mem_addr_size,<sp />uint8_t<sp />*data,<sp />uint16_t<sp />size,<sp />uint32_t<sp />timeout);</highlight></codeline>
<codeline lineno="306"><highlight class="normal" /></codeline>
<codeline lineno="326"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1gad6cd59cead5f7de0cf87571ceb656054">cyhal_i2c_master_transfer_async</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp />uint16_t<sp />address,<sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*tx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />tx_size,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*rx,<sp /></highlight><highlight class="keywordtype">size_t</highlight><highlight class="normal"><sp />rx_size);</highlight></codeline>
<codeline lineno="327"><highlight class="normal" /></codeline>
<codeline lineno="328"><highlight class="normal" /></codeline>
<codeline lineno="337"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga5ee41d9e5c6dc83376291ff5275c942a">cyhal_i2c_abort_async</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="338"><highlight class="normal" /></codeline>
<codeline lineno="350"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__i2c_1gacf738716af52c484873e35331b9a30b7">cyhal_i2c_register_callback</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__i2c_1ga67df812388aae9fcc3b3b1986dab7a09">cyhal_i2c_event_callback_t</ref><sp />callback,<sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="351"><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__i2c_1ga6216658331d13dd8a854a23e96141fc7">cyhal_i2c_enable_event</ref>(<ref kindref="compound" refid="structcyhal__i2c__t">cyhal_i2c_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79">cyhal_i2c_event_t</ref><sp />event,<sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="364"><highlight class="normal" /></codeline>
<codeline lineno="365"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="366"><highlight class="comment">*<sp />Backward<sp />compatibility<sp />macro.<sp />The<sp />following<sp />code<sp />is<sp />DEPRECATED<sp />and<sp />must</highlight></codeline>
<codeline lineno="367"><highlight class="comment">*<sp />not<sp />be<sp />used<sp />in<sp />new<sp />projects</highlight></codeline>
<codeline lineno="368"><highlight class="comment">*******************************************************************************/</highlight></codeline>
<codeline lineno="370"><highlight class="preprocessor">#define<sp />cyhal_i2c_register_irq<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_register_callback</highlight><highlight class="normal" /></codeline>
<codeline lineno="371"><highlight class="normal" /><highlight class="preprocessor">#define<sp />cyhal_i2c_irq_enable(obj,<sp />event,<sp />enable)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_enable_event(obj,<sp />event,<sp />CYHAL_ISR_PRIORITY_DEFAULT,<sp />enable)</highlight><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal" /><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__i2c_1gaaba7daccaa3861c32a4b0284e8194a79">cyhal_i2c_event_t</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp />cyhal_i2c_irq_event_t;</highlight></codeline>
<codeline lineno="375"><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="376"><highlight class="normal">}</highlight></codeline>
<codeline lineno="377"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="378"><highlight class="normal" /></codeline>
<codeline lineno="379"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_I2C_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="380"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_I2C_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="381"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_I2C_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="382"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_i2c.h" />
  </compounddef>
</doxygen>